//JCLCONJ1 JOB SIMOTIME,ACCOUNT,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//JOBLIB   DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//* *******************************************************************
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Process a parameter string passed from the JCL
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* This is a sample program that shows how a COBOL program can
//* process input from the JCL using the PARM keyword from the EXEC
//* statement.
//*
//* The COBOL program will set a condition and JCL will procees
//* accordingly.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express
//*
//STARTING EXEC PGM=JCLCONC1,PARM='STARTING job JCLCONJ1.JCL...'
//*
//* *******************************************************************
//* Execute the COBOL program without a parameter.
//*
//NOPARM   EXEC PGM=JCLCONC1
//*
//* *******************************************************************
//* Execute the COBOL program with a parameter.
//* Based on the PARM='parameter' the COBOL program will set the Return
//* code to 0.
//*
//COND00A  EXEC PGM=JCLCONC1,PARM='MSG-00 --- This is message zero...'
//*
//COND00B  EXEC PGM=JCLCONC1,COND=(0,LT),PARM='Return Code = 00...'
//*
//* This step (COND00B) will be bypassed if the Return Code
//* of any of the preceding job steps is not zero (0).
//*
//* *******************************************************************
//* Execute the COBOL program with a parameter.
//* Based on the PARM='parameter' the COBOL program will set the Return
//* code to 4.
//*
//COND04A  EXEC PGM=JCLCONC1,PARM='MSG-04 -- This is message four...'
//*
//COND04B  EXEC PGM=JCLCONC1,COND=(4,NE,COND04A),
//             PARM='Return Code is equal to 04...'
//*
//* This step (COND04B) will be bypassed if COND=4 is not
//* equal to the Return Code of the preceding job step (COND04A).
//*
//* *******************************************************************
//* Execute the COBOL program with a parameter.
//* Based on the PARM='parameter' the COBOL program will set the Return
//* code to 8.
//*
//COND08A  EXEC PGM=JCLCONC1,PARM='MSG-08 -- This is message eight...'
//*
//COND08B  EXEC PGM=JCLCONC1,COND=(8,LT,COND08A),
//             PARM='Return Code is equal to or greater than 08...'
//*
//* This step (COND08B) will be bypassed if COND=8 is less
//* than or equal to the Return Code of the preceding job step
//* (COND08A).
//*
//* *******************************************************************
//* Execute the COBOL program with a parameter.
//*
//EOJTEST1 EXEC PGM=JCLCONC1,COND=(1,GE),
//             PARM='All Job Steps had a zero Return Code...'
//*
//* The preceding step (EOJTEST1) should be bypassed.
//*
//EOJTEST2 EXEC PGM=JCLCONC1,COND=(8,LT),
//             PARM='All Job Steps had a Return Code of 0 through 8...'
//*
//* This step (EOJTEST2) should execute.
//* If 8 is LESS THAN the return code from any of the previous steps
//* then do not execute this step.
//*
//EOJTEST3 EXEC PGM=JCLCONC1,COND=(9,GE),
//             PARM='Return Code greater than 8 for a job step.'
//*
//* This step (EOJTEST3) should be bypassed.
//*
//FINISHED EXEC PGM=JCLCONC1,PARM='FINISHED job JCLCONJ1.JCL...'
//*
//*
