//JCLCONJ2 JOB SIMOTIME,ACCOUNT,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//JOBLIB   DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//* *******************************************************************
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Process a parameter string passed from the JCL
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* This is a sample program that shows how a COBOL program can
//* process input from the JCL using the PARM keyword from the EXEC
//* statement.
//*
//* The COBOL program will set a condition and JCL will procees
//* accordingly.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express
//*
//* *******************************************************************
//* Execute the COBOL program without a parameter.
//*
//NOPARM   EXEC PGM=JCLCONC1
//*
//* *******************************************************************
//* Execute the COBOL program with a parameter.
//* Based on the PARM='parameter' the COBOL program will set the Return
//* code to 0.
//*
//COND00A  EXEC PGM=JCLCONC1,PARM='MSG-00 --- This is message zero...'
//*
// IF (RC EQ 0) THEN
//COND00B  EXEC PGM=JCLCONC1,PARM='COND00B - Return Code = 00...'
// ELSE
//COND00C  EXEC PGM=JCLCONC1,PARM='COND00C - Unexpected Return Code...'
// ENDIF
//*
//* The preceding step (COND00B) will be bypassed if CC is not equal
//* to the Return Code (RC=0) of any of the preceding job steps.
//*
//* *******************************************************************
//* Execute the COBOL program with a parameter.
//* Based on the PARM='parameter' the COBOL program will set the Return
//* code to 4.
//*
//COND04A  EXEC PGM=JCLCONC1,PARM='MSG-04 -- This is message four...'
//*
// IF (COND04A.RC EQ 4) THEN
//COND04B  EXEC PGM=JCLCONC1,PARM='COND04C - Return Code = 04...'
// ELSE
//COND04C  EXEC PGM=JCLCONC1,PARM='COND04C - Unexpected Return Code...'
// ENDIF
//*
//* The preceding step (COND04B) will be bypassed if CC is not equal
//* to the Return Code (RC=4) of the preceding job step (COND04A).
//*
//* *******************************************************************
//* Execute the COBOL program with a parameter.
//* Based on the PARM='parameter' the COBOL program will set the Return
//* code to 8.
//*
//COND08A  EXEC PGM=JCLCONC1,PARM='MSG-08 -- This is message eight...'
//*
// IF (COND08A.RC GT 7 AND RC LT 9) THEN
//COND08B  EXEC PGM=JCLCONC1,
//             PARM='COND08C - Return Code is  GT 7 and LT 9...'
// ELSE
//COND08C  EXEC PGM=JCLCONC1,PARM='COND08C - Unexpected Return Code...'
// ENDIF
//*
//* The preceding step (COND08B) will be bypassed if CC is not equal
//* to the Return Code (RC=8) of the preceding job step (COND08A).
//* (COND08A).
//*
//* *******************************************************************
//* Execute the COBOL program with a parameter.
//*
// IF (RC EQ 0) THEN
//EOJTEST1 EXEC PGM=JCLCONC1,
//             PARM='All Job Steps had a zero Return Code...'
// ENDIF
//*
//* The preceding step (EOJTEST1) should be bypassed.
//*
// IF (RC LT 9) THEN
//EOJTEST2 EXEC PGM=JCLCONC1,
//             PARM='All Job Steps had a Return Code of 0 through 8...'
// ENDIF
//*
//* The preceding step (EOJTEST2) should execute.
//*
// IF (RC GT 8) THEN
//EOJTEST3 EXEC PGM=JCLCONC1,COND=(9,GE),
//             PARM='Return Code greater than 8 for a job step.'
// ENDIF
//*
//* The preceding step (EOJTEST3) should be bypassed.
//*
